package com.tsi.sig.server.mapper;

import com.tsi.sig.server.vo.*;
import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Mapper
public interface MainMapper {

    List<CvibNodeVO> getNodeList();
    List<CvibNodeVO> getCvibNodeInfo(HashMap<String, Object> vo);
    List<CvibNodeVO> getCvibMapNodeList(HashMap<String, Object> vo);
    List<EvpServiceVo> getEvpServiceList();
    List<EvpServiceVo> getEvpHistoryList(Map<String, Object> vo);
    List<EvpRouteVo> getEvpRouteList(Map<String, Object> vo);
    List<EvpPhaseVo> getEvpPhaseList(HashMap<String, Object> vo);
    List<EvpSignalVo> getEvpSignalList(Map<String, Object> vo);
    List<EvpEventVo> getEvpEventList(Map<String, Object> paramMap);
    List<EvpSignalVo> getEvpSignalCurrList(Map<String, Object> paramMap);
    List<EvpEventVo> getEvpEventCurrList(Map<String, Object> paramMap);
}
